sigtool(1)

NAME

sigtool - signature and database management tool

SYNOPSIS

sigtool [options]

DESCRIPTION

sigtool can be used to generate MD5 checksums, convert data into hexadecimal format, and build/unpack CVD databases. It's also to verify digital signatures of databases and list virus signature names.

OPTIONS

-h, --help
    Output help information and exit.

-V, --version
    Print version number and exit.

--quiet
    Be quiet - output only error messages.

--stdout
    Write all messages (except for libclamav output) to the standard output (stdout).

--hex-dump
    Read data from stdin and write hex string to stdout.

--md5 [FILES]
    Generate MD5 checksum from stdin or MD5 sigs for FILES.

--html-normalise=FILE
    Create normalised HTML files comment.html, nocomment.html, and script.html in current working directory.

--vba=FILE
    Extract VBA/Word6 macros from given MS Office document.

--vba-hex=FILE
    Extract Word6 macros from given MS Office document, and display the corresponding hex values.

-i, --info
    Print a CVD information and verify MD5 and a digital signature.

-b, --build
    Build a CVD file. -s, --server is required.

--server
    ClamAV Signing Service address (for virus database developers only).

--unpack, -u
    Unpack a selected CVD file to a current directory.

--unpack-current
    Unpack a local CVD file to a current directory.

-l, --list-sigs
    List signature names.

EXAMPLES

Generate hex string from testfile and save it to testfile.hex:
    cat testfile | sigtool --hex-dump > testfile.hex

CREDITS
Please check the full documentation for credits.

AUTHOR

Tomasz Kojm <tkojm@clamav.net>

SEE ALSO

clamd(8), clamdscan(1), clamscan(1), freshclam(1), clamd.conf(5), clamav-milter(8)